---
title: "Triggers a re-import of a product in Rialto by sending a product updated message to MOM with a high priority."
url: "https://developer.migros.ch/apis/triggers-8/versions/8e2720b4-0e30-4553-81ff-aa471a463bcd/operations/trigger-product-rialto-update"
---

> Full API specification: https://developer.migros.ch/apis/triggers-8/versions/8e2720b4-0e30-4553-81ff-aa471a463bcd.md

# Triggers a re-import of a product in Rialto by sending a product updated message to MOM with a high priority.

`POST` `/migros/products/v8/trigger/rialto/product/{id}`

Operation ID: `trigger-product-rialto-update`

This is an internal route and doesn't necessarily follow API versioning.

## Path parameters

- `id` (string, required) - ID of a product to trigger the import for

## Responses

- `204` - Returned when successful.
- `400` - If the request parameters are invalid.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Triggers
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/trigger/rialto/product/{id}:
    post:
      description: This is an internal route and doesn't necessarily follow API versioning.
      operationId: trigger-product-rialto-update
      parameters:
        - description: ID of a product to trigger the import for
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        "204":
          description: Returned when successful.
        "400":
          $ref: "#/components/responses/400"
      summary: |-
        Triggers a re-import of a product in Rialto by sending a product
        updated message to MOM with a high priority.
      tags:
        - Triggers
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  responses:
    "400":
      description: If the request parameters are invalid.
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
